﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;
// RegistryクラスやRegistryKeyクラスを利用するための宣言
using Microsoft.Win32;
using System.Windows.Forms;

namespace CSSaver3
{
    public struct Settings
    {
        public int intChgSpeed;
        public Color BGColor;
    }

    public class Common
    {
        public static Settings Settings;

        public Common()
        {
        }
        internal static void LoadSettings()
		{
            //画面の切り替えスピードのロード from レジストリ
           try
            {
                Settings.intChgSpeed = Convert.ToInt32(Application.UserAppDataRegistry.GetValue("ChgSpeed", 10000));
            }
           catch(System.ArgumentException)
           {
                Settings.intChgSpeed = 10000;//既定値10秒
           }
                
           //フォームの背景色のロード from レジストリ
           try
           {
                Settings.BGColor= Color.FromArgb((int)Application.UserAppDataRegistry.GetValue("BGColor", -7667712));
           }
           catch
           {
                Settings.BGColor = Color.Black;//既定値は黒
           } 
        }

        internal static void SaveSettings()
        {
            //画面の切り替えスピードをレジストリに登録する　
            //登録先:HKEY_USERS\HKEY_USERS\S-1-5-21-1214440339-854245398-78418211-1003\HKEY_USERS\S-1-5-21-1214440339-854245398-78418211-1003\Software\ユーザー名\HKEY_USERS\S-1-5-21-1214440339-854245398-78418211-1003\Software\ユーザー名\CSSaver3\バージョン\
            Application.UserAppDataRegistry.SetValue("ChgSpeed", Common.Settings.intChgSpeed.ToString());
            //フォームの背景色をレジストリに登録する
            Application.UserAppDataRegistry.SetValue("BGColor", Common.Settings.BGColor.ToArgb());
        }


    }

}
