﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;
using System.Diagnostics;

namespace CSSaver3
{
    static class Program
    {
        /// <summary>
        /// アプリケーションのメイン エントリ ポイントです。
        /// </summary>
        [STAThread]
        static void Main(string[] args)
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            IntPtr hWnd = IntPtr.Zero;


                if (args.Length != 0)
                {
                    //プレビュー
                    if (args[0].ToLower() == "/p")
                    {
                        hWnd = (IntPtr) uint.Parse(args[1]);

                        if (IntPtr.Zero != hWnd)
                        {
                            //スレッドを作成します
                            System.Threading.Thread thread 
                                = new System.Threading.Thread(new System.Threading.ThreadStart(
                                new PaintThread(hWnd).Run));
            
                            //スレッドをスタートさせます
                            thread.Start();

                            //スレッドが終了するまで、呼び出し元のスレッドをブロックします
                            thread.Join();
                            //スレッドの強制終了
                            thread.Abort();
                            //アプリケーションの終了
                            Application.Exit();
                        }
                     }
                    //オプション画面の表示
                    else if (args[0].ToLower().Trim().Substring(0, 2) == "/c")
                    {
                        
                        Application.Run(new frmOption());
                        Application.Exit();
                    }
                    //通常モード
                    else if (args[0].ToLower() == "/s")
                    {
                        Application.Run(new Form1());
                        Application.Exit();
                        
                    }
                    //パスワードモード
                    else if (args[0].ToLower() == "/a")
                    {
                        MessageBox.Show("パスワードモードには対応していません。",
                            "C# Saver",
                            MessageBoxButtons.OK,
                            MessageBoxIcon.Information);
                        Application.Exit();
                    }
                    else
                    {
                        Application.Exit();
                    }
                }
                else
                {
                    //ファイルをダブルクリックしたとき
                    Application.Run(new Form1());
                    Application.Exit();
                }
            }
        
    }
}